<div class="page">
	<h1>Modifier un bloc</h1>

	<?php if (isset ($this->error)) { ?>
		<div class="alert alert-error"><?php echo $this->error; ?></div>
	<?php } ?>

	<form method="post" action="">
		<div class="form-group">
			<label for="content">Contenu</label>
			<textarea name="content" id="content"><?= $this->pageBlock->content() ?></textarea>
		</div>

		<script>
			var simplemde = new SimpleMDE({
				element: document.getElementById("content"),
				autoDownloadFontAwesome: false,
				autosave: {
					enabled: true,
					delay: 5000,
					uniqueId: 'admin_page_block_update_<?php echo $this->pageBlock->id(); ?>',
				},
				blockStyles: {
					italic: '_',
				},
				spellChecker: false,
				promptURLs: true,
				tabSize: 4,
			});
		</script>

		<div class="form-group actions">
			<button type="submit">
				Modifier
			</button>

			<a href="<?= url('admin_page', 'update', 'id', $this->pageBlock->idPage()) ?>">
				Retour à la page
			</a>
		</div>
	</form>
</div>
